Subject: Re: bug#14335: 24.2; Inconsistency in vhdl-comment-uncomment-line
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 06 May 2013 03:51:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.3

Martin Clajus wrote:

> In vhdl-mode, when I use the keystrokes C-c C-l C-c (function
> vhdl-comment-uncomment-line) to comment out an indented line, the
> comment characters are placed at the beginning of the text, to the right
> of the spaces that make up the indentation. If I apply the same
> keystroke combination again to the same, now commented line, I would
> expect it to be uncommented again.

Thanks for the report, it seems this is already fixed in 24.3.
Time to upgrade...

> The same inconsistency occurs with the function
> vhdl-comment-uncomment-region (keystrokes C-c C-c) if the region
> consists exclusively of indented lines.

Also seems fixed.

(PS modes should use comment-dwim rather than re-inventing wheels.)

> In GNU Emacs 24.2.1 (i386-mingw-nt6.1.7601)